edu.northwestern.at.morphadorner.tools.applyxslt

## Class ApplyXSLT

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.applyxslt.ApplyXSLT

-     public class ApplyXSLT
      extends java.lang.Object

  Apply XSLT transformation to a batch of input files.

  Usage:

  >       java edu.northwestern.at.morphadorner.tools.applyxslt.ApplyXSLT outputdirectory script.xsl input1.xml input2.xml ...

  outputdirectory | Output directory for files processed by applying the XSLT script to the input files.
  script.xsl | XSLT script file.
  input1.xml input2.xml ... | Input xml files.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static javax.xml.transform.Source` | `inputXML` Input source.
    `protected static javax.xml.transform.Result` | `result` Result.
    `protected static javax.xml.transform.Templates` | `templates` Templates for transformer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplyXSLT()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `applyXSLT(java.lang.String[] args)` Apply XSLT transformation to files.
    `static void` | `main(java.lang.String[] args)` Main program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### templates

          protected static javax.xml.transform.Templates templates

      Templates for transformer.

    - #### inputXML

          protected static javax.xml.transform.Source inputXML

      Input source.

    - #### result

          protected static javax.xml.transform.Result result

      Result.

  - ### Constructor Detail

    - #### ApplyXSLT

          public ApplyXSLT()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.

    - #### applyXSLT

          public static void applyXSLT(java.lang.String[] args)
                                throws java.lang.Exception

      Apply XSLT transformation to files.
      Throws:
        `java.lang.Exception`